0
0

Delete article

Deleted articles cannot be recovered.

Draft of this article would be also deleted.

Are you sure you want to delete this article?

More than 3 years have passed since last update.

Rhinoceros with Python でLattice Hingeを書くプログラム

Last updated at Posted at 2021-01-05

 使い方

  1. drawlatticehinge.pyをdownload
  2. drawlatticehinge.pyを同じメインプログラムと同じディレクトリに保存
  3. メインプログラムでdrawlatticehinge.pyをimport
  4. パラメータを設定してdraw_lattice_follow_crosspointで描画

サンプルプログラム

SampleProgram.py

import rhinoscriptsyntax as rs
import drawlatticehinge as lh
import math

def clear_all():
    all_obs = rs.ObjectsByType(0)
    rs.DeleteObjects(all_obs)

clear_all()

parameter = [37.5,0.2,0.4,1.5,10]
lattice = lh.LatticeHinge(parameter)

startPoint = (0,0,0)
endPoint = (200,200,0)

lattice.draw_lattice_follow_crosspoint(startPoint,endPoint)

パラメータ

image.png

parameter = [37.5,0.2,0.4,1.5,10]

LINE_LENGTH = parameter[0] #37.5#
LINE_WIDTH = parameter[1] #0.2#
OVERLAP_RATE = parameter[2] #0.4#
LINE_INTERVAL = parameter[3] #1.5#
INTERVAL_LIMIT = parameter[4] #10#
cutAngle = (math.radians(90),math.radians(90),math.radians(90),math.radians(90))

※コメント
LINE_LENGTH = 1本の線の長さ
LINE_WIDTH = 1本の線の幅( レーザーのカット幅なので0.2mm )
OVERLAP_RATE = 線の長さの重なり具合
LINE_INTERVAL = 線と線の間隔
INTERVAL_LIMIT = Latticeの繰り返し回数(この数値でlatticeの幅と数が決まる)

実行結果

image.png

startPoint = (0,0,0) から endPoint = (200,200,0) までの間でLattice Hingeが描かれた

0
0
0

Register as a new user and use Qiita more conveniently

  1. You get articles that match your needs
  2. You can efficiently read back useful information
  3. You can use dark theme
What you can do with signing up
0
0

Delete article

Deleted articles cannot be recovered.

Draft of this article would be also deleted.

Are you sure you want to delete this article?